Bug 25961 - [swap.c:184] swap bug -- call trace.
[swap.c:184] swap bug -- call trace.
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-04 01:32 EST by Henri Schlereth
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-10 19:16:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2001-02-04 01:32:46 EST
Running X as no user VC3, screen saver running, locked keyboard,mouse, unable to access system from
remote had to hit reset button.

Feb  3 22:54:20 rock kernel: Call Trace: [refill_inactive_scan+144/256] [kswapd+
119/240] [empty_bad_page+0/4096] [empty_bad_page+0/4096] [kernel_thread+38/48] [
kswapd+0/240]
Feb  3 22:54:20 rock kernel: kernel BUG at swap.c:184!
Feb  3 22:54:20 rock kernel: invalid operand: 0000
Feb  3 22:54:20 rock kernel: invalid operand: 0000
Feb  3 22:54:20 rock kernel: CPU:    0
Feb  3 22:54:20 rock kernel: EIP:    0010:[deactivate_page_nolock+187/336]
Feb  3 22:54:20 rock kernel: EIP:    0010:[<c012a8cb>]
Feb  3 22:54:20 rock kernel: EFLAGS: 00013282
Feb  3 22:54:20 rock kernel: eax: 0000001a   ebx: c10cf1bc   ecx: fffffffe   edx
: 00000000
Feb  3 22:54:20 rock kernel: esi: c10cf1bc   edi: 00000022   ebp: 00000000   esp
: c1169fa0
Feb  3 22:54:20 rock kernel: ds: 0018   es: 0018   ss: 0018
Feb  3 22:54:20 rock kernel: Process kswapd (pid: 3, stackpage=c1169000)
Feb  3 22:54:20 rock kernel: Stack: c0220d1b c0220ed6 000000b8 c10cf1d8 c012c170
 c10cf1bc 00010f00 c026b380
Feb  3 22:54:20 rock kernel:        00000006 0008e000 c012c4b7 00000006 00000000
 c0105000 0008e000 00000000
Feb  3 22:54:20 rock kernel:        00000018 00000018 c1177fa8 c0105000 c0107576
 00000000 c012c440 c027ffdc
Feb  3 22:54:20 rock kernel: Call Trace: [refill_inactive_scan+144/256] [kswapd+
119/240] [empty_bad_page+0/4096] [empty_bad_page+0/4096] [kernel_thread+38/48] [
kswapd+0/240]
Feb  3 22:54:20 rock kernel: Call Trace: [<c012c170>] [<c012c4b7>] [<c0105000>]
Feb  3 22:54:20 rock kernel: Call Trace: [<c012c170>] [<c012c4b7>] [<c0105000>]
[<c0105000>] [<c0107576>] [<c012c440>]
Feb  3 22:54:20 rock kernel:
Feb  3 22:54:20 rock kernel: Code: 0f 0b 83 c4 0c 8b 43 18 83 e0 40 75 14 8b 43
18 a9 80 00 00
Comment 1 Glen Foster 2001-02-05 17:46:12 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Michael K. Johnson 2001-02-28 21:59:28 EST
Have you seen, can you reproduce this, with the wolverine or
rawhide 2.4.1-0.1.14 kernels?  Thanks...
Comment 3 Henri Schlereth 2001-03-01 00:25:32 EST
Wolverine (havent tried Rawhide yet):

Feb 27 04:09:30 rock kernel: kernel BUG at swap.c:201!
Feb 27 04:09:30 rock kernel: invalid operand: 0000
Feb 27 04:09:30 rock kernel: CPU:    0
Feb 27 04:09:30 rock kernel: EIP:    0010:[activate_page_nolock+110/528]
Feb 27 04:09:30 rock kernel: EIP:    0010:[<c012aaae>]
Feb 27 04:09:30 rock kernel: EFLAGS: 00010282
Feb 27 04:09:30 rock kernel: eax: 0000001a   ebx: c1103ef4   ecx: fffffffe   edx: 00000000
Feb 27 04:09:30 rock kernel: esi: c1103ef4   edi: 00000070   ebp: 00000000   esp: c1167f94
Feb 27 04:09:30 rock kernel: ds: 0018   es: 0018   ss: 0018
Feb 27 04:09:30 rock kernel: Process kswapd (pid: 3, stackpage=c1167000)
Feb 27 04:09:30 rock kernel: Stack: c020a29b c020a456 000000c9 c1103ef4 c012a822 c1103ef4 c1103f10 c012c295 
Feb 27 04:09:30 rock kernel:        c1103ef4 00010f00 c024f5e0 00000006 0008e000 c012c5d7 00000006 00000000 
Feb 27 04:09:30 rock kernel:        c0105000 0008e000 00000000 00000018 00000018 c1177fa8 c0105000 c0107576 
Feb 27 04:09:30 rock kernel: Call Trace: [age_page_up_nolock+18/48] [refill_inactive_scan+101/240] [kswapd+119/240] [empty_bad_page+0/4096] 
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/240] 
Feb 27 04:09:30 rock kernel: Call Trace: [<c012a822>] [<c012c295>] [<c012c5d7>] [<c0105000>] [<c0105000>] [<c0107576>] [<c012c560>] 
Feb 27 04:09:30 rock kernel: 
Feb 27 04:09:30 rock kernel: Code: 0f 0b 83 c4 0c 8b 43 14 85 c0 75 19 68 c9 00 00 00 68 56 a4 
Feb 27 04:40:00 rock kernel: kernel BUG at exit.c:458!
Feb 27 04:40:00 rock kernel: invalid operand: 0000
Feb 27 04:40:00 rock kernel: CPU:    0
Feb 27 04:40:00 rock kernel: EIP:    0010:[do_exit+537/560]
Feb 27 04:40:00 rock kernel: EIP:    0010:[<c0118a89>]
Feb 27 04:40:00 rock kernel: EFLAGS: 00010286
Feb 27 04:40:00 rock kernel: eax: 0000001a   ebx: 00000000   ecx: fffffffe   edx: 00000000
Feb 27 04:40:00 rock kernel: esi: c1166000   edi: 0000000b   ebp: 00000000   esp: c1167e74
Feb 27 04:40:00 rock kernel: ds: 0018   es: 0018   ss: 0018
Feb 27 04:40:00 rock kernel: Process kswapd (pid: 3, stackpage=c1167000)
Feb 27 04:40:00 rock kernel: Stack: c0206f3b c0207092 000001ca 00000000 c0109549 c01ffa97 c01ffbcd c1167f60 
Feb 27 04:40:00 rock kernel:        00000000 c0109790 c0109810 0000000b c1167f60 00000000 40088000 00000008 
Feb 27 04:40:00 rock kernel:        00000002 c1167ec8 ffffffff c023e220 200046a0 c2323031 00000004 00000000 
Feb 27 04:40:00 rock kernel: Call Trace: [die+57/80] [do_invalid_op+0/144] [do_invalid_op+128/144] [activate_page_nolock+110/528] 
[swap_out_vma+147/240] [hide_cursor+129/144] [vt_console_print+284/768] 
Feb 27 04:40:00 rock kernel: Call Trace: [<c0109549>] [<c0109790>] [<c0109810>] [<c012aaae>] [<c012b313>] [<c0178f41>] [<c017c65c>] 
Feb 27 04:40:00 rock kernel:        [error_code+52/64] [activate_page_nolock+110/528] [age_page_up_nolock+18/48] [refill_inactive_scan+101/240] 
[kswapd+119/240] [empty_bad_page+0/4096] [empty_bad_page+0/4096] [kernel_thread+38/48] 
Feb 27 04:40:00 rock kernel:        [<c01090f4>] [<c012aaae>] [<c012a822>] [<c012c295>] [<c012c5d7>] [<c0105000>] [<c0105000>] [<c0107576>] 
Feb 27 04:40:00 rock kernel:        [kswapd+0/240] 
Feb 27 04:40:00 rock kernel:        [<c012c560>] 
Feb 27 04:40:00 rock kernel: 
Feb 27 04:40:00 rock kernel: Code: 0f 0b 83 c4 0c e9 43 fe ff ff 8d b6 00 00 00 00 8d bc 27 00 
Feb 27 04:40:00 rock kernel: ] [scrup+105/272] [vgacon_cursor+401/416] [set_cursor+105/128] [vt_console_print+748/768] [error_code+52/64] 
Feb 27 04:40:00 rock kernel: ] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] [<c017c82c>] [<c01090f4>] 
Feb 27 04:40:00 rock kernel:        [do_exit+537/560] [die+57/80] [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] 
[vgacon_cursor+401/416] [set_cursor+105/128] 
Feb 27 04:40:00 rock kernel:        [<c0118a89>] [<c0109549>] [<c0109790>] [<c0109810>] [<c0118a89>] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] 
Feb 27 04:40:00 rock kernel:        [vt_console_print+748/768] [error_code+52/64] [do_exit+537/560] [die+57/80] [do_invalid_op+0/144] 
[do_invalid_op+128/144] [ide_do_request+659/736] [do_exit+537/560] 
Feb 27 04:40:00 rock kernel:        [<c017c82c>] [<c01090f4>] [<c0118a89>] [<c0109549>] [<c0109790>] [<c0109810>] [<c018ae83>] [<c0118a89>] 
Feb 27 04:40:00 rock kernel:        [ide_dma_intr+0/160] [handle_IRQ_event+58/112] [do_IRQ+109/176] [do_IRQ+140/176] [ret_from_intr+0/32] 
[error_code+52/64] [do_exit+537/560] [die+69/80] 
Feb 27 04:40:00 rock kernel:        [<c0193810>] [<c010a33a>] [<c010a4bd>] [<c010a4dc>] [<c0109070>] [<c01090f4>] [<c0118a89>] [<c0109555>] 
Feb 27 04:40:00 rock kernel:        [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] [vgacon_cursor+401/416] 
[set_cursor+105/128] [vt_console_print+748/768] [error_code+52/64] 
Feb 27 04:40:00 rock kernel:        [<c0109790>] [<c0109810>] [<c0118a89>] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] [<c017c82c>] [<c01090f4>] 
Feb 27 04:40:00 rock kernel:        [do_exit+537/560] [die+69/80] [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] 
[do_notify_parent+166/176] [vgacon_cursor+401/416] [set_cursor+105/128] 
Feb 27 04:40:00 rock kernel:        [<c0118a89>] [<c0109555>] [<c0109790>] [<c0109810>] [<c0118a89>] [<c011e016>] [<c01a5cf1>] [<c0178fb9>] 
Feb 27 04:40:00 rock kernel:        [error_code+52/64] [do_exit+537/560] [die+57/80] [do_invalid_op+0/144] [do_invalid_op+128/144] 
[activate_page_nolock+110/528] [swap_out_vma+147/240] [hide_cursor+129/144] 
Feb 27 04:40:00 rock kernel:        [<c01090f4>] [<c0118a89>] [<c0109549>] [<c0109790>] [<c0109810>] [<c012aaae>] [<c012b313>] [<c0178f41>] 
Feb 27 04:40:00 rock kernel:        [vt_console_print+284/768] [error_code+52/64] [activate_page_nolock+110/528] [age_page_up_nolock+18/48] 
[refill_inactive_scan+101/240] [kswapd+119/240] [empty_bad_page+0/4096] [empty_bad_page+0/4096] 
Feb 27 04:40:00 rock kernel:        [<c017c65c>] [<c01090f4>] [<c012aaae>] [<c012a822>] [<c012c295>] [<c012c5d7>] [<c0105000>] [<c0105000>] 
Feb 27 04:40:00 rock kernel:        [kernel_thread+38/48] [kswapd+0/240] 
Feb 27 04:40:00 rock kernel:        [<c0107576>] [<c012c560>] 
Feb 27 04:40:00 rock kernel: 
Feb 27 04:40:00 rock kernel: Code: 0f 0b 83 c4 0c e9 43 fe ff ff 8d b6 00 00 00 00 8d bc 27 00 
Feb 27 04:40:00 rock kernel: kernel BUG at exit.c:458!
Feb 27 04:40:00 rock kernel: invalid operand: 0000
Feb 27 04:40:00 rock kernel: CPU:    0
Feb 27 04:40:00 rock kernel: EIP:    0010:[do_exit+537/560]
Feb 27 04:40:00 rock kernel: EIP:    0010:[<c0118a89>]
Feb 27 04:40:00 rock kernel: EFLAGS: 00010282
Feb 27 04:40:00 rock kernel: eax: 0000001a   ebx: 00000000   ecx: 00000001   edx: c024ab88
Feb 27 04:40:00 rock kernel: esi: c1166000   edi: 0000000b   ebp: 00000000   esp: c1167454
Feb 27 04:40:00 rock kernel: ds: 0018   es: 0018   ss: 0018
Feb 27 04:40:00 rock kernel: Process kswapd (pid: 3, stackpage=c1167000)
Feb 27 04:40:00 rock kernel: Stack: c0206f3b c0207092 000001ca 00000018 00000018 ffffff00 c0109555 c1167540 
Feb 27 04:40:00 rock kernel:        00000000 c0109790 c0109810 0000000b c1167540 00000000 00000002 c11674a0 
Feb 27 04:40:00 rock kernel:        00000004 c11674a8 ffffffff c023e220 20000001 c1343538 00000004 00000000 
Feb 27 04:40:00 rock kernel: Call Trace: [die+69/80] [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] 
[vgacon_cursor+401/416] [set_cursor+105/128] 
Feb 27 04:40:00 rock kernel: Call Trace: [<c0109555>] [<c0109790>] [<c0109810>] [<c0118a89>] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] 
Feb 27 04:40:00 rock kernel:        [vt_console_print+748/768] [error_code+52/64] [do_exit+537/560] [die+57/80] [do_invalid_op+0/144] 
[do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] 
Feb 27 04:40:00 rock kernel:        [<c017c82c>] [<c01090f4>] [<c0118a89>] [<c0109549>] [<c0109790>] [<c0109810>] [<c0118a89>] [<c01783d9>] 
Feb 27 04:40:00 rock kernel:        [vgacon_cursor+401/416] [set_cursor+105/128] [vt_console_print+748/768] [error_code+52/64] [do_exit+537/560] 
[die+69/80] [do_invalid_op+0/144] [do_invalid_op+128/144] 
Feb 27 04:40:00 rock kernel:        [<c01a5cf1>] [<c0178fb9>] [<c017c82c>] [<c01090f4>] [<c0118a89>] [<c0109555>] [<c0109790>] [<c0109810>] 
Feb 27 04:40:00 rock kernel:        [do_exit+537/560] [scrup+105/272] [vgacon_cursor+401/416] [set_cursor+105/128] [vt_console_print+748/768] 
[error_code+52/64] [do_exit+537/560] [die+57/80] 
Feb 27 04:40:00 rock kernel:        [<c0118a89>] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] [<c017c82c>] [<c01090f4>] [<c0118a89>] [<c0109549>] 
Feb 27 04:40:00 rock kernel:        [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] [vgacon_cursor+401/416] 
[set_cursor+105/128] [vt_console_print+748/768] [error_code+52/64] 
Feb 27 04:40:00 rock kernel:        [<c0109790>] [<c0109810>] [<c0118a89>] [<c01783d9>] [<c01a5cf1>] [<c0178fb9>] [<c017c82c>] [<c01090f4>] 
Feb 27 04:40:00 rock kernel:        [do_exit+537/560] [die+69/80] [do_invalid_op+0/144] [do_invalid_op+128/144] [do_exit+537/560] [scrup+105/272] 
[vgacon_cursor+401/416] [set_cursor+105/128] 
Comment 4 Stephen Tweedie 2001-03-01 05:23:31 EST
Oops in the swapper: this isn't something we've seen much of.  What's the memory
config on this machine, and do you know if it runs reliably under 2.2?
Comment 5 Henri Schlereth 2001-03-01 05:36:25 EST
Runs fine under 2.2 as long as I replace the stock i586 with the stock i386

memory is 64MB
Comment 6 Stephen Tweedie 2001-03-01 06:11:26 EST
Just to eliminate unknowns, what's wrong with the stock i586 kernel?
Comment 7 Henri Schlereth 2001-03-01 21:22:26 EST
I dont know, but it generally hates them and exhibits the crashing behaviour as shown. When I revert to an i386 it stays
stable (that is when I am too lazy or busy to compile). This is my franken box and I dont neccessarily blame the 
kernel. I just figured I may as well report what I am seeing.

And here is some more. After this I put the i386 kernel in.

Mar  1 03:36:31 rock kernel: kernel BUG at page_alloc.c:75!
Mar  1 03:36:31 rock kernel: invalid operand: 0000
Mar  1 03:36:31 rock kernel: CPU:    0
Mar  1 03:36:31 rock kernel: EIP:    0010:[__free_pages_ok+64/880]
Mar  1 03:36:31 rock kernel: EIP:    0010:[<c012cad0>]
Mar  1 03:36:31 rock kernel: EFLAGS: 00010286
Mar  1 03:36:31 rock kernel: eax: 0000001f   ebx: c1076dac   ecx: fffffffe   edx: 00000000
Mar  1 03:36:31 rock kernel: esi: c1076dac   edi: 00000000   ebp: 00000000   esp: c1167f38
Mar  1 03:36:31 rock kernel: ds: 0018   es: 0018   ss: 0018
Mar  1 03:36:31 rock kernel: Process kswapd (pid: 3, stackpage=c1167000)
Mar  1 03:36:31 rock kernel: Stack: c020aa9b c020ac69 0000004b c0113c6d 00000133 c012c33d c0686860 c1076dac 
Mar  1 03:36:31 rock kernel:        c1076dd4 c1076dac 00000023 00000000 c012bec8 0000007a 00000000 00000004 
Mar  1 03:36:31 rock kernel:        00000000 00000023 00000000 00000300 00000000 c1166000 c01138e0 00000133 
Mar  1 03:36:31 rock kernel: Call Trace: [schedule+637/944] [free_shortage+29/144] [page_launder+1560/2432] [process_timeout+0/80] 
[free_shortage+29/144] [do_try_to_free_pages+53/128] [kswapd+108/240] 
Mar  1 03:36:31 rock kernel: Call Trace: [<c0113c6d>] [<c012c33d>] [<c012bec8>] [<c01138e0>] [<c012c33d>] [<c012c515>] [<c012c5cc>] 
Mar  1 03:36:31 rock kernel:        [empty_bad_page+0/4096] [empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/240] 
Mar  1 03:36:31 rock kernel:        [<c0105000>] [<c0105000>] [<c0107576>] [<c012c560>] 
Mar  1 03:36:31 rock kernel: 
Mar  1 03:36:31 rock kernel: Code: 0f 0b 83 c4 0c 89 da 8b 2d 38 04 2c c0 29 ea 89 d0 c1 e0 04 
Mar  1 03:36:31 rock kernel: kernel BUG at exit.c:458!
Mar  1 03:36:31 rock kernel: invalid operand: 0000
Mar  1 03:36:31 rock kernel: CPU:    0
Mar  1 03:36:31 rock kernel: EIP:    0010:[do_exit+537/560]
Mar  1 03:36:31 rock kernel: EIP:    0010:[<c0118a89>]
Comment 8 Stephen Tweedie 2001-03-02 05:09:41 EST
"I dont know, but it generally hates them and exhibits the crashing behaviour as
shown."

You mean that you get the same problem on 2.2 with an i586 kernel? 

If so, it sounds as if there's either a problem in your system which the 386
kernel simply doesn't trigger, or you have something weird which we're
miscompiling for in some cases.  What sort of CPU is this, exactly?  Could you
show the /proc/cpuinfo output?
Comment 9 Henri Schlereth 2001-03-02 07:04:07 EST
Yes I would say that I had the same problem with the 2.2 series as well, it seems like it has gotten worse with the 2.4 series.
I dont remember how 2.0 and below went. Remember I equally suspect the box as being a fussy franken box. I have however
tested all the hardware to the extent that I can. When it is in windows it tends to crash only Netscape in the software interrupts
and not all the time.

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 5
model		: 2
model name	: Pentium 75 - 200
stepping	: 12
cpu MHz		: 100.070
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: yes
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr mce cx8
bogomips	: 199.47
Comment 10 Henri Schlereth 2001-03-04 04:04:18 EST
Update:
SInce this box is a dual-boot box I generally dont do installs on it unless it is a custom. Because this machine had
a problem with the Trident 3DImage 9750 I first tried the GUI (Wolverine) and went for an upgrade because the GUI
problem got fixed. Last night/ this morning I tried a custom and swap.c segfaulted on me at the end of the install.
 I had to reinstall RH70 first and will go back and try a text upgrade next.
Since the RC2's dont have mail-out cd's I will be unable to test this further after this as I dont 
have the bandwidth (56K) to either do an up2date or dl ISO's. I maybe can convince a friend to let me borrow his bandwidth
and cdrom-burner but that isnt a sure thing.
I am also switching this to RC1 as the problem has migrated. The rawhide kernel may well fix this problem but I have 
to get back to the point where I can apply it. More later.....
Comment 11 Henri Schlereth 2001-03-04 21:25:12 EST
This is geting weird. Originally I did a bet3-->RC1 upgrade and was overjoyed that my Trident 9750 now worked under X.
Last night I put RH70 back on the beast and tried doing a GUI custome install -->RC1/Wolverine. I got segfaults in swap.c
and signal 11's all over the place. I also tried text mode with similair results.

 So I re-installed RH70 then(upgrade) did beta3, then did RC1. That worked w/o a hitch. I have
applied the -14 rawhide kernel and will run some tests.
Comment 12 Henri Schlereth 2001-03-10 19:16:13 EST
Custom install works (too well) under RC2 (cf #31373) Will test RHL7 --> RC2 upgrade tomorrow.
Comment 13 Henri Schlereth 2001-03-11 22:09:36 EST
The upgrade RHL7 --> RC2 works. Now I will have to wait and see if I get any call traces on swap.c again.

Note You need to log in before you can comment on or make changes to this bug.